{% extends "base.html" %}
{% set active_page = "latest" %}
{% block content %}
    <div>
        <h1>Delete datapoint?</h1>
    </div>
    <div class="latest-delete-form">
        <table class="table latest-delete-table">
            <tr>
                <td>Variable name:</td>
                <td>{{ dp_data.variable_name }}</td>
            </tr>
            <tr>
                <td>Timestamp:</td>
                <td>{{ dp_data['timestamp'] }}</td>
            </tr>
            <tr>
                <td>Value [unit]:</td>
                {% if dp_data.value is none %}
                    <td>NaN</td>
                {% elif dp_data['unit'] | length %}
                    <td>{{ dp_data['value'] }} [{{ dp_data['unit'] }}]</td>
                {% else %}
                    <td>{{ dp_data['value'] }}</td>
                {% endif %}
            </tr>
            <tr>
                <td>Metadata:</td>
                <td>{{ dp_data['meta'] }}</td>
            </tr>
        </table>
        <form method="post">
            <button class="button-3" type="submit">Delete entry</button>
        </form>
    </div>
{% endblock %}
